function [X_n]=Slicing(X_init,X_new,fixed)
%Ekta Gujral,Ravdeep Pasricha , Vagelis Papalexakis 2017
%Computer Science and Engineering, University of California, Riverside
%Demonstrating the use of the SambaTen algorithm, using samplaing based
%approach for online tensors
       sizeofN=size(X_new);
	   X_int1=X_init(fixed{1},fixed{2},fixed{3});
       X_int1(sizeofN(1),sizeofN(2),sizeofN(3))=1;
       X_n=sptensor(X_new)+sptensor(X_int1(:,:,1:size(X_new,3)));

end
